# Class SphereRenderer

java.lang.Object
org.jmol.g3d.SphereRenderer

public class SphereRenderer extends Object

Implements high performance rendering of shaded spheres.

Drawing spheres quickly is critically important to Jmol. These routines implement high performance rendering of spheres in 3D.

If you can think of a faster way to implement this, please let us know.

There is a lot of bit-twiddling going on here, which may make the code difficult to understand for non-systems programmers.

Ellipsoid code added 4/2008 -- Bob Hanson hansonr@stolaf.edu

Author:
  Miguel, miguel@jmol.org

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`